{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 1,
   "id": "bc077a0d-3cac-4f63-8b00-fa6d878fe2a7",
   "metadata": {
    "editable": true,
    "slideshow": {
     "slide_type": ""
    },
    "tags": [
     "remove-cell"
    ]
   },
   "outputs": [],
   "source": [
    "from vega import Vega\n",
    "import altair as alt\n",
    "import numpy as np\n",
    "\n",
    "import pandas as pd\n",
    "institutions_df = pd.read_csv(\"institution-totals.csv\")\n",
    "\n",
    "independent_institutions_df = institutions_df.query('sector == \"independent\"')"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "da9d64f3-2654-48e4-b31d-f42f260f535c",
   "metadata": {
    "editable": true,
    "slideshow": {
     "slide_type": ""
    },
    "tags": []
   },
   "source": [
    "# Independent Institutions\n",
    "\n",
    "Work in progress diagrams to allow for quick comparision between institutions in a sector.\n",
    "\n",
    "(There are those people who think a donut chart for data visualisation is always bad, they are probably right.)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "id": "eb26e498-3320-4d0d-b76a-083d47f66391",
   "metadata": {
    "editable": true,
    "slideshow": {
     "slide_type": ""
    },
    "tags": [
     "remove-input",
     "full-width"
    ]
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-812b712ffbaa44a58183dda3f30c1c13.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-812b712ffbaa44a58183dda3f30c1c13.vega-embed details,\n",
       "  #altair-viz-812b712ffbaa44a58183dda3f30c1c13.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-812b712ffbaa44a58183dda3f30c1c13\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-812b712ffbaa44a58183dda3f30c1c13\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-812b712ffbaa44a58183dda3f30c1c13\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.17.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.17.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}, \"numberFormat\": \".2s\"}, \"vconcat\": [{\"hconcat\": [{\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Bowes Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Bowes Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 30000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-18d284efbf6f5e1a30863470f01b2a13\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Bowes Museum\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Britten Pears\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Britten Pears\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 1200\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-f06ae7967a259c90bfcd3b71ec12cbd9\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Britten Pears\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Chatham Historic Dockyard\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Chatham Historic Dockyard\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0.36381357142857135, \"tooltip\": \"Catalogued Artefacts: 12855\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0.38381357142857137, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 70000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-507f38ad5fbc5b245b23982c3b811eb6\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Chatham Historic Dockyard\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Compton Verney\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Compton Verney\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-3556fcbbb3037e5fc7853000b658d383\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Compton Verney\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}], \"resolve\": {\"scale\": {\"theta\": \"shared\"}}, \"spacing\": 40}, {\"hconcat\": [{\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Courtauld Gallery\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Courtauld Gallery\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Catalogued Artefacts: 33501\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-54740eebb85c789c41b0138394a41cc4\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Courtauld Gallery\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Dulwich Picture Gallery\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Dulwich Picture Gallery\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Catalogued Artefacts: 33501\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-8defa186b5138150ca232c3a206596f0\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Dulwich Picture Gallery\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"English Heritage Trust\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"English Heritage Trust\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 700000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-868f45e8168c2957c33a87d3b3c7a409\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"English Heritage Trust\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Food Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Food Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 1.65409, \"tooltip\": \"Catalogued Artefacts: 32040\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 1.67409, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 40000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 3.74409, \"tooltip\": \"Catalogued Objects: 32040\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 3.76409, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 40000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-a8520766bf95d2e010c4fec68e8dfad5\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Food Museum\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}], \"resolve\": {\"scale\": {\"theta\": \"shared\"}}, \"spacing\": 40}, {\"hconcat\": [{\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Gordon Highlanders Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Gordon Highlanders Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 40000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-0f11a9bf68351c08a983d9cbf8e41e77\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Gordon Highlanders Museum\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Harewood House\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Harewood House\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-c2daa2124bf68d1689efa7d27e5ef939\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Harewood House\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Ironbridge Gorge Museum Trust\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Ironbridge Gorge Museum Trust\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 400000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-464967d5b81c8fcec49f05a104b94189\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Ironbridge Gorge Museum Trust\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Jewish Museum London\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Jewish Museum London\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 40000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-67326dbbbbe88fd1ac02ec02bb264052\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Jewish Museum London\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}], \"resolve\": {\"scale\": {\"theta\": \"shared\"}}, \"spacing\": 40}, {\"hconcat\": [{\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"London Transport Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"London Transport Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 1.1153298, \"tooltip\": \"Catalogued Artefacts: 271610\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 1.1353298, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 500000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-93e08cd648b146ecb9e32ba3d7e10fdd\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"London Transport Museum\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Manchester Jewish Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Manchester Jewish Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 31000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 31000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-b1500aa9d38f8885afe41efd865f6516\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Manchester Jewish Museum\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Mary Rose Trust\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Mary Rose Trust\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 19000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 19000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-1c8ac35694a74f05f194c291ce4d87d6\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Mary Rose Trust\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Media Archive for Central England (MACE)\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Media Archive for Central England (MACE)\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 65000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-3297a5cb9a7dfeaa2d355ba5305f32fc\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Media Archive for Central England (MACE)\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}], \"resolve\": {\"scale\": {\"theta\": \"shared\"}}, \"spacing\": 40}, {\"hconcat\": [{\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Museum of Cornish Life\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Museum of Cornish Life\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-0dd8c52457f7068095cc2c34b3b240d8\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Museum of Cornish Life\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Museum of Freemasonry\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Museum of Freemasonry\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 90000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#c6dbef\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 90000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#c6dbef\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-bc12734103db17133ea46a4392822f06\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Museum of Freemasonry\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Museum of Lead Mining\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Museum of Lead Mining\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 2572\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#c6dbef\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 2572\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#c6dbef\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-cc689b63f50c1b8b41a1901bf8ebb491\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Museum of Lead Mining\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Museum of Scottish Railways\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Museum of Scottish Railways\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 50000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-e64e3e2211d7f7ba97cd2354414bc6a4\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Museum of Scottish Railways\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}], \"resolve\": {\"scale\": {\"theta\": \"shared\"}}, \"spacing\": 40}, {\"hconcat\": [{\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"National Galleries Scotland\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"National Galleries Scotland\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 120000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-1331c5ca88f02c7fd4a02b1c6940f010\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"National Galleries Scotland\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Paxton Trust\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Paxton Trust\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 3754\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-48d6b07dad80d492bed9ee3056898472\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Paxton Trust\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Pier Arts Centre\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Pier Arts Centre\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 180\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 180\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-79e3478d403bf4bc670f681cf6d7cf96\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Pier Arts Centre\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Postal Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Postal Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 60000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 60000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-dc53cd8e19a6b9c5975058eacda3ba67\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Postal Museum\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}], \"resolve\": {\"scale\": {\"theta\": \"shared\"}}, \"spacing\": 40}, {\"hconcat\": [{\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"R&A World Golf Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"R&A World Golf Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-19b2bb5f6ee67ff1587fe9e97f3009ba\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"R&A World Golf Museum\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Royal Academy of Arts\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Royal Academy of Arts\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Catalogued Artefacts: 43189\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 3.2736857902141625, \"tooltip\": \"Catalogued Objects: 18421\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 3.2936857902141625, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 31985\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-cf744b03816176290b0f25bce4574b30\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Royal Academy of Arts\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Royal Academy of Music\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Royal Academy of Music\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-a66a9a2e64e23c572c7755a4afa199e8\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Royal Academy of Music\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Royal Artillery Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Royal Artillery Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 30000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#c6dbef\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 30000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#c6dbef\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-760dc2c1f01f2a98d360b3796e956e34\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Royal Artillery Museum\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}], \"resolve\": {\"scale\": {\"theta\": \"shared\"}}, \"spacing\": 40}, {\"hconcat\": [{\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Royal Engineers Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Royal Engineers Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 1000000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-ea457dafee4148360b8104a8787064e0\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Royal Engineers Museum\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Royal Scottish Academy of Art & Architecture\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Royal Scottish Academy of Art & Architecture\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 9000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 9000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-90ba947b25e3c8268de57258c100f0ab\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Royal Scottish Academy of Art & Architecture\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Scottish Fisheries Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Scottish Fisheries Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 66000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-24bf517b96dc54d1cf29adb932366bae\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Scottish Fisheries Museum\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Tank Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Tank Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-5bdd7b1ec3cf93a46be4aa7db9a11453\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Tank Museum\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}], \"resolve\": {\"scale\": {\"theta\": \"shared\"}}, \"spacing\": 40}, {\"hconcat\": [{\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Wellcome Collection\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Wellcome Collection\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 2250000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 250000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#c6dbef\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 2000000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#c6dbef\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-f5e43876cd78be02c3f0d62a673c44e7\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-7755d4fe26eea5b71532fc3d2e60c11e\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Wellcome Collection\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}], \"resolve\": {\"scale\": {\"theta\": \"shared\"}}, \"spacing\": 40}], \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.17.0.json\", \"datasets\": {\"data-18d284efbf6f5e1a30863470f01b2a13\": [{\"institution\": \"Bowes Museum\", \"values\": 30000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Bowes Museum\", \"values\": 0, \"calculated\": 30000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Bowes Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Bowes Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Bowes Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Bowes Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Bowes Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-7755d4fe26eea5b71532fc3d2e60c11e\": [{\"institution\": \"Courtauld Gallery\", \"sector\": \"independent\", \"artefacts\": 33501, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 33501, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Dulwich Picture Gallery\", \"sector\": \"independent\", \"artefacts\": 600, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 33501, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"National Galleries Scotland\", \"sector\": \"independent\", \"artefacts\": 120000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Royal Academy of Arts\", \"sector\": \"independent\", \"artefacts\": 43189, \"objects\": 31985, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 18421, \"library_records\": 0, \"archive_records\": 24768}, {\"institution\": \"Bowes Museum\", \"sector\": \"independent\", \"artefacts\": 30000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Britten Pears\", \"sector\": \"independent\", \"artefacts\": 1200, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Chatham Historic Dockyard\", \"sector\": \"independent\", \"artefacts\": 70000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 1548, \"library_records\": 9249, \"archive_records\": 2058}, {\"institution\": \"Compton Verney\", \"sector\": \"independent\", \"artefacts\": 0, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"English Heritage Trust\", \"sector\": \"independent\", \"artefacts\": 700000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Gordon Highlanders Museum\", \"sector\": \"independent\", \"artefacts\": 40000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Harewood House\", \"sector\": \"independent\", \"artefacts\": 0, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Ironbridge Gorge Museum Trust\", \"sector\": \"independent\", \"artefacts\": 400000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Jewish Museum London\", \"sector\": \"independent\", \"artefacts\": 40000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"London Transport Museum\", \"sector\": \"independent\", \"artefacts\": 500000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 271610, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Manchester Jewish Museum\", \"sector\": \"independent\", \"artefacts\": 31000, \"objects\": 31000, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Mary Rose Trust\", \"sector\": \"independent\", \"artefacts\": 19000, \"objects\": 19000, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Media Archive for Central England (MACE)\", \"sector\": \"independent\", \"artefacts\": 65000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Museum of Cornish Life\", \"sector\": \"independent\", \"artefacts\": 0, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Food Museum\", \"sector\": \"independent\", \"artefacts\": 40000, \"objects\": 40000, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 32040, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Museum of Freemasonry\", \"sector\": \"independent\", \"artefacts\": 90000, \"objects\": 0, \"library_items\": 90000, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Museum of Lead Mining\", \"sector\": \"independent\", \"artefacts\": 2572, \"objects\": 0, \"library_items\": 2572, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Museum of Scottish Railways\", \"sector\": \"independent\", \"artefacts\": 50000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Paxton Trust\", \"sector\": \"independent\", \"artefacts\": 3754, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Pier Arts Centre\", \"sector\": \"independent\", \"artefacts\": 180, \"objects\": 180, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Postal Museum\", \"sector\": \"independent\", \"artefacts\": 60000, \"objects\": 60000, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"R&A World Golf Museum\", \"sector\": \"independent\", \"artefacts\": 0, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Royal Academy of Music\", \"sector\": \"independent\", \"artefacts\": 0, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Royal Artillery Museum\", \"sector\": \"independent\", \"artefacts\": 30000, \"objects\": 0, \"library_items\": 30000, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Royal Engineers Museum\", \"sector\": \"independent\", \"artefacts\": 1000000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Royal Scottish Academy of Art & Architecture\", \"sector\": \"independent\", \"artefacts\": 9000, \"objects\": 9000, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Scottish Fisheries Museum\", \"sector\": \"independent\", \"artefacts\": 66000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Tank Museum\", \"sector\": \"independent\", \"artefacts\": 0, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Wellcome Collection\", \"sector\": \"independent\", \"artefacts\": 2250000, \"objects\": 250000, \"library_items\": 2000000, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}], \"data-f06ae7967a259c90bfcd3b71ec12cbd9\": [{\"institution\": \"Britten Pears\", \"values\": 1200, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Britten Pears\", \"values\": 0, \"calculated\": 1200, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Britten Pears\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Britten Pears\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Britten Pears\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Britten Pears\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Britten Pears\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-507f38ad5fbc5b245b23982c3b811eb6\": [{\"institution\": \"Chatham Historic Dockyard\", \"values\": 70000, \"calculated\": 12855, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Chatham Historic Dockyard\", \"values\": 0, \"calculated\": 70000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Chatham Historic Dockyard\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Chatham Historic Dockyard\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Chatham Historic Dockyard\", \"values\": 1548, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Chatham Historic Dockyard\", \"values\": 9249, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Chatham Historic Dockyard\", \"values\": 2058, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-3556fcbbb3037e5fc7853000b658d383\": [{\"institution\": \"Compton Verney\", \"values\": 0, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Compton Verney\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Compton Verney\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Compton Verney\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Compton Verney\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Compton Verney\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Compton Verney\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-54740eebb85c789c41b0138394a41cc4\": [{\"institution\": \"Courtauld Gallery\", \"values\": 33501, \"calculated\": 33501, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Courtauld Gallery\", \"values\": 0, \"calculated\": 33501, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Courtauld Gallery\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Courtauld Gallery\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Courtauld Gallery\", \"values\": 33501, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Courtauld Gallery\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Courtauld Gallery\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-8defa186b5138150ca232c3a206596f0\": [{\"institution\": \"Dulwich Picture Gallery\", \"values\": 600, \"calculated\": 600, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Dulwich Picture Gallery\", \"values\": 0, \"calculated\": 600, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Dulwich Picture Gallery\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Dulwich Picture Gallery\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Dulwich Picture Gallery\", \"values\": 33501, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Dulwich Picture Gallery\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Dulwich Picture Gallery\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-868f45e8168c2957c33a87d3b3c7a409\": [{\"institution\": \"English Heritage Trust\", \"values\": 700000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"English Heritage Trust\", \"values\": 0, \"calculated\": 700000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"English Heritage Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"English Heritage Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"English Heritage Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"English Heritage Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"English Heritage Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-a8520766bf95d2e010c4fec68e8dfad5\": [{\"institution\": \"Food Museum\", \"values\": 40000, \"calculated\": 32040, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Food Museum\", \"values\": 40000, \"calculated\": 40000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Food Museum\", \"values\": 0, \"calculated\": 32040, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Food Museum\", \"values\": 0, \"calculated\": 40000, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Food Museum\", \"values\": 32040, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Food Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Food Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-0f11a9bf68351c08a983d9cbf8e41e77\": [{\"institution\": \"Gordon Highlanders Museum\", \"values\": 40000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Gordon Highlanders Museum\", \"values\": 0, \"calculated\": 40000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Gordon Highlanders Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Gordon Highlanders Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Gordon Highlanders Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Gordon Highlanders Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Gordon Highlanders Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-c2daa2124bf68d1689efa7d27e5ef939\": [{\"institution\": \"Harewood House\", \"values\": 0, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Harewood House\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Harewood House\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Harewood House\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Harewood House\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Harewood House\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Harewood House\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-464967d5b81c8fcec49f05a104b94189\": [{\"institution\": \"Ironbridge Gorge Museum Trust\", \"values\": 400000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Ironbridge Gorge Museum Trust\", \"values\": 0, \"calculated\": 400000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Ironbridge Gorge Museum Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Ironbridge Gorge Museum Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Ironbridge Gorge Museum Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Ironbridge Gorge Museum Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Ironbridge Gorge Museum Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-67326dbbbbe88fd1ac02ec02bb264052\": [{\"institution\": \"Jewish Museum London\", \"values\": 40000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Jewish Museum London\", \"values\": 0, \"calculated\": 40000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Jewish Museum London\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Jewish Museum London\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Jewish Museum London\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Jewish Museum London\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Jewish Museum London\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-93e08cd648b146ecb9e32ba3d7e10fdd\": [{\"institution\": \"London Transport Museum\", \"values\": 500000, \"calculated\": 271610, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"London Transport Museum\", \"values\": 0, \"calculated\": 500000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"London Transport Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"London Transport Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"London Transport Museum\", \"values\": 271610, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"London Transport Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"London Transport Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-b1500aa9d38f8885afe41efd865f6516\": [{\"institution\": \"Manchester Jewish Museum\", \"values\": 31000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Manchester Jewish Museum\", \"values\": 31000, \"calculated\": 31000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Manchester Jewish Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Manchester Jewish Museum\", \"values\": 0, \"calculated\": 31000, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Manchester Jewish Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Manchester Jewish Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Manchester Jewish Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-1c8ac35694a74f05f194c291ce4d87d6\": [{\"institution\": \"Mary Rose Trust\", \"values\": 19000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Mary Rose Trust\", \"values\": 19000, \"calculated\": 19000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Mary Rose Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Mary Rose Trust\", \"values\": 0, \"calculated\": 19000, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Mary Rose Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Mary Rose Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Mary Rose Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-3297a5cb9a7dfeaa2d355ba5305f32fc\": [{\"institution\": \"Media Archive for Central England (MACE)\", \"values\": 65000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Media Archive for Central England (MACE)\", \"values\": 0, \"calculated\": 65000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Media Archive for Central England (MACE)\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Media Archive for Central England (MACE)\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Media Archive for Central England (MACE)\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Media Archive for Central England (MACE)\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Media Archive for Central England (MACE)\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-0dd8c52457f7068095cc2c34b3b240d8\": [{\"institution\": \"Museum of Cornish Life\", \"values\": 0, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Museum of Cornish Life\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Museum of Cornish Life\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Museum of Cornish Life\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Museum of Cornish Life\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Museum of Cornish Life\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Museum of Cornish Life\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-bc12734103db17133ea46a4392822f06\": [{\"institution\": \"Museum of Freemasonry\", \"values\": 90000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Museum of Freemasonry\", \"values\": 0, \"calculated\": 90000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Museum of Freemasonry\", \"values\": 90000, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Museum of Freemasonry\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Museum of Freemasonry\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Museum of Freemasonry\", \"values\": 0, \"calculated\": 90000, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Museum of Freemasonry\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-cc689b63f50c1b8b41a1901bf8ebb491\": [{\"institution\": \"Museum of Lead Mining\", \"values\": 2572, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Museum of Lead Mining\", \"values\": 0, \"calculated\": 2572, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Museum of Lead Mining\", \"values\": 2572, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Museum of Lead Mining\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Museum of Lead Mining\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Museum of Lead Mining\", \"values\": 0, \"calculated\": 2572, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Museum of Lead Mining\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-e64e3e2211d7f7ba97cd2354414bc6a4\": [{\"institution\": \"Museum of Scottish Railways\", \"values\": 50000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Museum of Scottish Railways\", \"values\": 0, \"calculated\": 50000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Museum of Scottish Railways\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Museum of Scottish Railways\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Museum of Scottish Railways\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Museum of Scottish Railways\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Museum of Scottish Railways\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-1331c5ca88f02c7fd4a02b1c6940f010\": [{\"institution\": \"National Galleries Scotland\", \"values\": 120000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"National Galleries Scotland\", \"values\": 0, \"calculated\": 120000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"National Galleries Scotland\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"National Galleries Scotland\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"National Galleries Scotland\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"National Galleries Scotland\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"National Galleries Scotland\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-48d6b07dad80d492bed9ee3056898472\": [{\"institution\": \"Paxton Trust\", \"values\": 3754, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Paxton Trust\", \"values\": 0, \"calculated\": 3754, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Paxton Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Paxton Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Paxton Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Paxton Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Paxton Trust\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-79e3478d403bf4bc670f681cf6d7cf96\": [{\"institution\": \"Pier Arts Centre\", \"values\": 180, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Pier Arts Centre\", \"values\": 180, \"calculated\": 180, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Pier Arts Centre\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Pier Arts Centre\", \"values\": 0, \"calculated\": 180, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Pier Arts Centre\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Pier Arts Centre\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Pier Arts Centre\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-dc53cd8e19a6b9c5975058eacda3ba67\": [{\"institution\": \"Postal Museum\", \"values\": 60000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Postal Museum\", \"values\": 60000, \"calculated\": 60000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Postal Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Postal Museum\", \"values\": 0, \"calculated\": 60000, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Postal Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Postal Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Postal Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-19b2bb5f6ee67ff1587fe9e97f3009ba\": [{\"institution\": \"R&A World Golf Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"R&A World Golf Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"R&A World Golf Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"R&A World Golf Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"R&A World Golf Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"R&A World Golf Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"R&A World Golf Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-cf744b03816176290b0f25bce4574b30\": [{\"institution\": \"Royal Academy of Arts\", \"values\": 43189, \"calculated\": 43189, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Royal Academy of Arts\", \"values\": 31985, \"calculated\": 43189, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Royal Academy of Arts\", \"values\": 0, \"calculated\": 18421, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Royal Academy of Arts\", \"values\": 0, \"calculated\": 31985, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Royal Academy of Arts\", \"values\": 18421, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Royal Academy of Arts\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Royal Academy of Arts\", \"values\": 24768, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-a66a9a2e64e23c572c7755a4afa199e8\": [{\"institution\": \"Royal Academy of Music\", \"values\": 0, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Royal Academy of Music\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Royal Academy of Music\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Royal Academy of Music\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Royal Academy of Music\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Royal Academy of Music\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Royal Academy of Music\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-760dc2c1f01f2a98d360b3796e956e34\": [{\"institution\": \"Royal Artillery Museum\", \"values\": 30000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Royal Artillery Museum\", \"values\": 0, \"calculated\": 30000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Royal Artillery Museum\", \"values\": 30000, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Royal Artillery Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Royal Artillery Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Royal Artillery Museum\", \"values\": 0, \"calculated\": 30000, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Royal Artillery Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-ea457dafee4148360b8104a8787064e0\": [{\"institution\": \"Royal Engineers Museum\", \"values\": 1000000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Royal Engineers Museum\", \"values\": 0, \"calculated\": 1000000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Royal Engineers Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Royal Engineers Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Royal Engineers Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Royal Engineers Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Royal Engineers Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-90ba947b25e3c8268de57258c100f0ab\": [{\"institution\": \"Royal Scottish Academy of Art & Architecture\", \"values\": 9000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Royal Scottish Academy of Art & Architecture\", \"values\": 9000, \"calculated\": 9000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Royal Scottish Academy of Art & Architecture\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Royal Scottish Academy of Art & Architecture\", \"values\": 0, \"calculated\": 9000, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Royal Scottish Academy of Art & Architecture\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Royal Scottish Academy of Art & Architecture\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Royal Scottish Academy of Art & Architecture\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-24bf517b96dc54d1cf29adb932366bae\": [{\"institution\": \"Scottish Fisheries Museum\", \"values\": 66000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Scottish Fisheries Museum\", \"values\": 0, \"calculated\": 66000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Scottish Fisheries Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Scottish Fisheries Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Scottish Fisheries Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Scottish Fisheries Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Scottish Fisheries Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-5bdd7b1ec3cf93a46be4aa7db9a11453\": [{\"institution\": \"Tank Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Tank Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Tank Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Tank Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Tank Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Tank Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Tank Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-f5e43876cd78be02c3f0d62a673c44e7\": [{\"institution\": \"Wellcome Collection\", \"values\": 2250000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Wellcome Collection\", \"values\": 250000, \"calculated\": 2250000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Wellcome Collection\", \"values\": 2000000, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Wellcome Collection\", \"values\": 0, \"calculated\": 250000, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Wellcome Collection\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Wellcome Collection\", \"values\": 0, \"calculated\": 2000000, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Wellcome Collection\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}]}}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.VConcatChart(...)"
      ]
     },
     "execution_count": 2,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "row_count = 0\n",
    "row_graphs = []\n",
    "grid_graphs = []\n",
    "\n",
    "for i, institution in independent_institutions_df.sort_values(by=[\"institution\"]).iterrows():\n",
    "    institution_name = institution[\"institution\"]\n",
    "    title = alt.TitleParams(institution_name, anchor='middle')\n",
    "    row_df = pd.DataFrame(\n",
    "       {\"institution\": institution_name,\n",
    "        \"values\": [\n",
    "             institution[\"artefacts\"],\n",
    "            institution[\"objects\"], institution[\"library_items\"], institution[\"archive_items\"],\n",
    "            institution[\"object_records\"], institution[\"library_records\"], institution[\"archive_records\"]],\n",
    "       \"calculated\": [\n",
    "            min(institution[\"object_records\"] + institution[\"library_records\"] + institution[\"archive_records\"], institution[\"artefacts\"]),\n",
    "            institution[\"artefacts\"],\n",
    "            min(institution[\"object_records\"], institution[\"objects\"]), institution[\"objects\"],\n",
    "            min(institution[\"library_records\"], institution[\"library_items\"]), institution[\"library_items\"],\n",
    "         institution[\"archive_items\"] ],\n",
    "            \"labels\": [\"Artefacts\", \n",
    "                                  \"Museum Objects\", \n",
    "                                  \"Library Items\",\n",
    "                                  \"Archive Items/Collections\", \n",
    "                                  \"Museum Records\", \n",
    "                                  \"Library Records\", \"Archive Records\"],\n",
    "            \"labels_calculated\": [ \"Artefacts Catalogued\", \"Artefacts\", \"Objects Catalogued\", \"Objects\",\n",
    "                                  \"Library Items Catalogued\", \"Library Items\",\n",
    "                                   \"Archive Items\"]\n",
    "            })\n",
    "\n",
    "    # Ring gives summary of cataloguing progress\n",
    "    #ring = alt.Chart(row_df).mark_arc(innerRadius=90, outerRadius=100).encode(\n",
    "    #  color=\"labels_calculated:N\",\n",
    "    #  theta=\"calculated\",\n",
    "    #)\n",
    "\n",
    "    if institution[\"artefacts\"] > 0:\n",
    "     catalogued_records =  institution[\"object_records\"] + institution[\"library_records\"] + institution[\"archive_records\"]\n",
    "     if catalogued_records > 0:\n",
    "         catalogued_proportion = min(catalogued_records / institution[\"artefacts\"], 1) * 2.09\n",
    "         ring1_complete = alt.Chart().mark_arc(\n",
    "             tooltip=f'Catalogued Artefacts: {catalogued_records}',\n",
    "             innerRadius=90, outerRadius=100,theta=0,color=\"gold\", \n",
    "                                theta2=catalogued_proportion - 0.02)\n",
    "         if catalogued_proportion < 2.09:\n",
    "           ring1_remaining = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=catalogued_proportion,color=\"#9ecae1\", \n",
    "                                                  theta2=2.07,\n",
    "                                                  tooltip=f'Total Artefacts: {institution[\"artefacts\"]}')\n",
    "     else:\n",
    "        ring1_complete = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=0,color=\"#9ecae1\", theta2=0)\n",
    "        ring1_remaining = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=0,theta2=2.07,color=\"#9ecae1\",\n",
    "                                               tooltip=f'Total Artefacts: {institution[\"artefacts\"]}')\n",
    "    else:\n",
    "      ring1_complete = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=0,color=\"grey\", theta2=0)\n",
    "      ring1_remaining = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=0,theta2=2.07,color=\"grey\",\n",
    "                                             tooltip=f'Total Artefacts: {institution[\"artefacts\"]}')\n",
    "\n",
    "\n",
    "    if institution[\"objects\"] > 0:\n",
    "     catalogued_records =  institution[\"object_records\"] \n",
    "     if catalogued_records > 0:\n",
    "         catalogued_proportion = min(catalogued_records / institution[\"objects\"], 1) * 2.09\n",
    "         ring2_complete = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=2.09,color=\"gold\",\n",
    "                                               theta2=2.09 + catalogued_proportion - 0.02, \n",
    "                                                            tooltip=f'Catalogued Objects: {catalogued_records}')\n",
    "         if catalogued_proportion < 2.09:\n",
    "           ring2_remaining = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=2.09+ catalogued_proportion,color=\"#fd8d3c\", \n",
    "                                                  theta2=4.16, tooltip=f'Total Objects: {institution[\"objects\"]}')\n",
    "     else:\n",
    "        ring2_complete = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=2.09,color=\"#fd8d3c\", theta2=2.09)\n",
    "        ring2_remaining = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=2.09,theta2=4.16,color=\"#fd8d3c\",\n",
    "                                               tooltip=f'Total Objects: {institution[\"objects\"]}')\n",
    "    else:\n",
    "      ring2_complete = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=2.09,color=\"grey\", theta2=2.09)\n",
    "      ring2_remaining = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=2.09,theta2=4.16,color=\"grey\", \n",
    "                                             tooltip=f'Total Objects: {institution[\"objects\"]}')  \n",
    "        \n",
    "#    ring2 = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=2.09,theta2=4.16,color=\"gray\")\n",
    "\n",
    "    if institution[\"library_items\"] > 0:\n",
    "     catalogued_records = institution[\"library_records\"] \n",
    "     if catalogued_records > 0:\n",
    "         catalogued_proportion = min(catalogued_records / institution[\"library_items\"], 1) * 2.09\n",
    "         ring3_complete = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,\n",
    "                                               theta=4.18,color=\"gold\", \n",
    "                                               tooltip=f'Catalogued Library Items: {catalogued_records}',\n",
    "                                               theta2=4.18 + catalogued_proportion - 0.02)\n",
    "         if catalogued_proportion < 2.09:\n",
    "           ring3_remaining = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=4.18+catalogued_proportion,color=\"#c6dbef\", \n",
    "                                                  theta2=6.27, tooltip=f'Total Library Items: {institution[\"library_items\"]}')\n",
    "     else:\n",
    "        ring3_complete = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=4.18,color=\"#c6dbef\", theta2=4.18)\n",
    "        ring3_remaining = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=4.18,theta2=6.27,\n",
    "                                               color=\"#c6dbef\", tooltip=f'Total Library Items: {institution[\"library_items\"]}')\n",
    "    else:\n",
    "      ring3_complete = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=4.18,color=\"grey\", theta2=4.18)\n",
    "      ring3_remaining = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=4.18,theta2=6.27,color=\"grey\",\n",
    "                                             tooltip=f'Total Library Items: {institution[\"library_items\"]}') \n",
    "        \n",
    "#    ring3 = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=4.18,theta2=6.27,color=\"orange\")\n",
    "\n",
    "    # Petal graph ? gives summary of size of instution collections\n",
    "    base1 = alt.Chart(row_df, width=160, title=title).encode(\n",
    "      alt.Theta(\"values:Q\").stack(True),\n",
    "      alt.Radius(\"values\").scale(type=\"sqrt\", zero=True, rangeMin=20),\n",
    "      tooltip='labels:N',\n",
    "      color=alt.Color(\"labels:N\", sort=\"ascending\").legend(orient=\"top\", titleOrient=\"left\").scale(scheme=\"category20c\"),\n",
    "    ).properties(\n",
    "      width=200,\n",
    "      height=200\n",
    "    )\n",
    "\n",
    "#    text_complete = alt.Chart().mark_text().encode(\n",
    "#        text=f\"{institution['artefacts']}:Q\")\n",
    "#        text=alt.Text(institution[\"artefacts\"]), color=\"gold\").properties(width=100)\n",
    "    \n",
    "    petal_marks = base1.mark_arc(innerRadius=45, outerRadius=60, cornerRadius=5, \n",
    "                                 stroke=\"#fff\")\n",
    "    \n",
    "#    petal_text = base1.mark_text(radiusOffset=58).encode(text=\"values:Q\")\n",
    "#    alt.FieldGTPredicate(\"values\", 0), alt.Text('values:Q'), alt.value(''))\n",
    "\n",
    "    petal_text = base1.mark_text(radiusOffset=58).encode(\n",
    "        text=alt.condition(alt.FieldGTPredicate(\"values\", 0), alt.Text('values:Q'), alt.value('')))\n",
    "\n",
    "    # Bar at bottom indicates proportion of national collection this institution has\n",
    "    bar = alt.Chart(independent_institutions_df, height=20, width=200).mark_bar().encode(\n",
    "      alt.X(\"artefacts\").title(\"Proportion of National Collection\"),\n",
    "      tooltip='artefacts',\n",
    "      color=alt.condition(\n",
    "        alt.FieldOneOfPredicate('institution', [institution_name]),\n",
    "        alt.value('gold'),     \n",
    "        alt.value('white')     \n",
    "      )\n",
    "    )\n",
    "    \n",
    "    institution_graph = alt.vconcat((petal_marks + petal_text + ring1_complete + \n",
    "                                     ring1_remaining + ring2_complete + ring2_remaining +\n",
    "                                     ring3_remaining + ring3_complete), bar).resolve_scale(theta='independent')\n",
    "    if row_count < 3:\n",
    "        row_graphs.append(institution_graph)\n",
    "        row_count += 1\n",
    "    else:   \n",
    "        row_graphs.append(institution_graph)\n",
    "        grid_graphs.append(\n",
    "            alt.hconcat(*row_graphs, spacing=40).resolve_scale(theta='shared'))\n",
    "        row_count = 0\n",
    "        row_graphs = []\n",
    "\n",
    "if row_count > 0:\n",
    "    grid_graphs.append(\n",
    "            alt.hconcat(*row_graphs, spacing=40).resolve_scale(theta='shared'))\n",
    "\n",
    "alt.vconcat(*grid_graphs).configure(numberFormat='.2s')\n",
    "#alt.hconcat(*row_graphs, spacing=40).configure(numberFormat='.2s').resolve_scale(theta='shared')"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "488bd315-b12b-4503-b226-a864ba934206",
   "metadata": {
    "editable": true,
    "slideshow": {
     "slide_type": ""
    },
    "tags": []
   },
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3 (ipykernel)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.9.18"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
